# $Revision: 1.4 $, $Date: 2005/06/14 07:15:03 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	URI
Summary:	Test::URI - Check Uniform Resource Identifiers
Summary(pl):	Test::URI - sprawdzanie URI (Uniform Resource Identifiers)
Name:		perl-Test-URI
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	16abc6a7f309669f6afa477e4dfc5601
URL:		http://search.cpan.org/dist/Test-URI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Builder-Tester
BuildRequires:	perl-Test-Prereq
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Check various parts of Uniform Resource Locators.

%description -l pl
Sprawdzanie rnych czci URL-i (Uniform Resource Locators).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-URI.spec,v $
Revision 1.4  2005/06/14 07:15:03  petec
- up to 1.04

Revision 1.3  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.2  2004/11/23 20:59:30  qboosh
- pl, URL

Revision 1.1  2004/11/23 00:50:08  radek
- new
